Subject: RE: deposit today 0725
From: <[email-masked]>
To: "'Patty and Mike Finan'" <[email-masked]>
Date: Tue, 25 Jul 2006 11:35:04 -0400

Yes, the insurance bill got paid.
 
Linda

-----Original Message-----
From: Patty and Mike Finan [mailto:[email-masked]] 
Sent: Tuesday, July 25, 2006 7:07 AM
To: Linda Wagner; Katy Parcells
Subject: deposit today 0725

Hi - I am depositing $1200 from the museum take and $2200 from red
letter day donations. I'm also sending a packet down, so please keep an
eye out. 
 
Linda - I faxed down the insurance bill awhile ago - did it get paid? 
 
Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007